﻿@*configurasi grid*@
@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "OrderTypeConvViewArea";
        settings.CallbackRouteValues = new { Controller = "OrderTypeConversionMaster", Action = "GridViewOrderType" };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);
        
         //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
        settings.ClientSideEvents.BeginCallback = "onBeginCallbackLogHeaderGrid";
        settings.ClientSideEvents.EndCallback = "onEndCallBack";

        settings.KeyFieldName = "BUYER_TRANSPORTATION_CD";
        
        //settings.CommandColumn.Visible = true;
        //settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(30);
        //settings.ClientSideEvents.SelectionChanged = "GridOrderType_SelectionChanged";
        
        settings.SettingsPager.Visible = true;
        //settings.Settings.ShowFilterRowMenu = true;
        //settings.Settings.ShowFilterRow = true;


        //settings.SettingsPager.Mode = GridViewPagerMode.EndlessPaging;
        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "15", "30", "50", "100" };
        settings.SettingsPager.PageSize = 15;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";
                
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        //settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.VerticalScrollableHeight = 410;       
        
        settings.Columns.Add(
        column =>
        {
            column.FieldName = "BUYER_ORDER_TYPE";
            column.Caption = "Buyer Order Type";
            column.Width = 340;
            column.CellStyle.Wrap = DefaultBoolean.True;
            column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        });
        settings.Columns.Add(
        column =>
        {
            column.FieldName = "BUYER_TRANSPORTATION_CD";
            column.Caption = "Buyer Trans Code";
            column.Width = 340;
            column.CellStyle.Wrap = DefaultBoolean.True;
            column.ColumnType = MVCxGridViewColumnType.TextBox;
            column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
            column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        });
        settings.Columns.Add(
                column =>
                {
                    column.FieldName = "ORDER_TYPE_DESCRIPTION";
                    column.Caption = "Order Type Description";
                    column.Width = 340;
                    column.CellStyle.Wrap = DefaultBoolean.True;
                    column.ColumnType = MVCxGridViewColumnType.TextBox;
                    column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                });
        
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "SUPPLY_TYPE";
                column.Caption = "Supply Type";
                column.Width = 320;
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
            });
        
    }).Bind(Model).GetHtml()

    
    
    @*<tr align = "right">
    <td colspan="19" align = "right">
        <hr />
    </td>
</tr>
    <tr>
    <td align = "right">
        @Html.DevExpress().Button(
        edtSetting =>
        {
        edtSetting.Name = "cmdDownload";
        edtSetting.Width = 80;
        edtSetting.Text = "Download";
        edtSetting.ClientSideEvents.Click = "DownloadData";
        edtSetting.Style.Add("display", "inline-table");
        edtSetting.UseSubmitBehavior = true;
        }
        ).GetHtml()
    </td>
    </tr>*@
    
    
